Get plan information
curl --request GET \
--url https://api.okeyproxy.com/ipglobal-api/api/v2/plan/infoimport requests
url = "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"planId": "20250101114300769",
"proxyType": 2,
"traffic": 1,
"availableTraffic": 0,
"effectTime": "2025-01-01 11:43:00",
"expireTime": "2025-01-01 11:43:00",
"secUsername": "xts1j09z",
"status": 1
}Plan info
Get plan information
Query information for a specific plan under the agent.
GET
/
api
/
v2
/
plan
/
info
Get plan information
curl --request GET \
--url https://api.okeyproxy.com/ipglobal-api/api/v2/plan/infoimport requests
url = "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"planId": "20250101114300769",
"proxyType": 2,
"traffic": 1,
"availableTraffic": 0,
"effectTime": "2025-01-01 11:43:00",
"expireTime": "2025-01-01 11:43:00",
"secUsername": "xts1j09z",
"status": 1
}Query Parameters
Plan ID
Agent API key used for authentication
Response
200 - application/json
Plan ID
Rotating proxies type. 1 for Starter, 2 for Advanced, 3 for Premium.
Plan traffic (in GB)
Remaining traffic (in GB)
Effective time. Format: yyyy-MM-dd HH:mm:ss (UTC+8)
Expiration time. Format: yyyy-MM-dd HH:mm:ss (UTC+8)
Sec-user account
Plan status. 1 for enabled, 2 for disabled, 3 for exhausted, 4 for expired